Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::CSVTableWidget Class Reference

Simple table preview of CSV file. Load in a QTableWidget the data send by a CSVContentHandler. More...

`#include <CSVImportConfigurationWidget.h>`

Inheritance diagram for tlp::CSVTableWidget:
[legend]
Collaboration diagram for tlp::CSVTableWidget:
[legend]

List of all members.

## Public Member Functions

- CSVTableWidget (QWidget *parent=NULL)
- void begin ()
- void line (unsigned int row, const std::vector< std::string > &lineTokens)
- void end (unsigned int rowNumber, unsigned int columnNumber)
- void setMaxPreviewLineNumber (unsigned int lineNumber)
    Limit the line number of the preview. Need to parse the file again to take this limit in account.
- unsigned int getMaxPreviewLineNumber () const
    Get the preview line number.
- unsigned int getFirstLineIndex ()
- void setFirstLineIndex (unsigned int index)

## Detailed Description

Simple table preview of CSV file. Load in a QTableWidget the data send by a CSVContentHandler.

## Constructor & Destructor Documentation

tlp::CSVTableWidget::CSVTableWidget | ( | QWidget * | parent = `NULL` | ) |

## Member Function Documentation

void tlp::CSVTableWidget::begin | ( |  | ) | `[virtual]`

Function called at the beginning of the file parsing.

Implements tlp::CSVContentHandler.

void tlp::CSVTableWidget::end | ( | unsigned int | rowNumber,
|  | unsigned int | columnNumber
| ) |  | `[virtual]`

Function called at the end of the parsing.

Parameters:

  rowNumber | the number of row read in the file.
  columnNumber | The column number for the line with the greatest column number.

Implements tlp::CSVContentHandler.

unsigned int tlp::CSVTableWidget::getFirstLineIndex | ( |  | ) | `[inline]`

unsigned int tlp::CSVTableWidget::getMaxPreviewLineNumber | ( |  | ) | const`[inline]`

Get the preview line number.

void tlp::CSVTableWidget::line | ( | unsigned int | row,
|  | const std::vector< std::string > & | lineTokens
| ) |  | `[virtual]`

Function called for each line in the file.

Parameters:

  row | The number of the row.
  lineTokens | The tokens.

Implements tlp::CSVContentHandler.

void tlp::CSVTableWidget::setFirstLineIndex | ( | unsigned int | index | ) | `[inline]`

void tlp::CSVTableWidget::setMaxPreviewLineNumber | ( | unsigned int | lineNumber | ) | `[inline]`

Limit the line number of the preview. Need to parse the file again to take this limit in account.

Tulip Software by LaBRI Visualization Team 2001 - 2012